GNU bug report logs - #35586
GNOME Core Applications

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: Raghav Gururajan <rvgn@HIDDEN>; dated Sun, 5 May 2019 18:21:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 2 Jul 2019 22:45:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 02 18:45:01 2019
Received: from localhost ([127.0.0.1]:48127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hiRWG-000514-Vj
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 18:45:01 -0400
Received: from [178.21.23.139] (port=44050 helo=knopi.disroot.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hiRWF-00050v-Bx
 for 35586 <at> debbugs.gnu.org; Tue, 02 Jul 2019 18:45:00 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id C693235E92
 for <35586 <at> debbugs.gnu.org>; Wed,  3 Jul 2019 00:44:57 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 6ANMHOHdG9vQ for <35586 <at> debbugs.gnu.org>;
 Wed,  3 Jul 2019 00:44:56 +0200 (CEST)
Message-ID: <4b2dc44253ba50bef6370e8942b822d6ec5340c3.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1562107496; bh=V2KsKzGiiCP1+/juK79rlBNXIFZopstb2pywuO9iSAc=;
 h=Subject:From:To:Date;
 b=d3BBLj7t3xku6+3m4gCpXF/QteUoSzZfdS29b2shR7/pMqhm2wqKt2ucVE0TQHBNP
 Rdpi+eomJyPYpANq/5YIHxfuf8/sTFsL1eEOCMR5Cbx48UQytFHyCgtoFURrLWiMFZ
 byqot6H24lvg/B8UT85P9ZSUhTPYi1jgMozo3c8bxVFSOJeVBx3HSEEM+R726nAZ+Z
 yr7OhgZebvHmnxuwl5SMPdx+OU7MXYyZOAUjUEQXO3Fj+YaagEMpuM4YCByT8vjjk9
 q3zUg9xrAlkXwrPG19YPZwgmKBdI0pfj95pZR0csOgT5YPk5FCGqVnAaPFs1lDsJxU
 nkQCFaieaSNkg==
Subject: 
From: Raghav Gururajan <rvgn@HIDDEN>
To: 35586 <at> debbugs.gnu.org
Date: Tue, 02 Jul 2019 18:44:49 -0400
Content-Type: text/plain; charset="UTF-8"
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  When I re-visited this bug thread, I thought it needed summarising,
    so that folks who are or will be working on this, will find it easier. ☺
    **SUMMARY** *ISSUES:* 
 
 Content analysis details:   (3.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnome.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [178.21.23.139 listed in list.dnswl.org]
  2.0 BLANK_SUBJECT          Subject is present but empty
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 35586
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  When I re-visited this bug thread, I thought it needed summarising,
    so that folks who are or will be working on this, will find it easier. ☺
    **SUMMARY** *ISSUES:* 
 
 Content analysis details:   (2.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnome.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [178.21.23.139 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 BLANK_SUBJECT          Subject is present but empty
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

When I re-visited this bug thread, I thought it needed summarising, so
that folks who are or will be working on this, will find it easier. ☺

                              **SUMMARY**

*ISSUES:*

When comparing to GNOME's Official Guidelines (https://wiki.gnome.org/D
esign/Apps), the package "gnome" that is used by service "gnome-
desktop-service-type" has the following issues.

1) The package "gnome" does not contain all GNOME Core Applications.
Some are already packaged and some are not.

2) The package names and application (.desktop files etc.) names are
not generic.

*ESSENTIAL TO-DOs:*

1) Change the package and application names of exsisting (already
packaged) GNOME Core Applications, to their generic names; according to
guidelines.

2) Re-compile the "gnome" package to include exsisting GNOME Core
Applications and remove unnecessary apps; according to guidelines.

3) Package missing GNOME Core Applications (using their generic names);
according to guidelines.

4) Re-compile the "gnome" package to include newly packaged GNOME Core
Applications; according to guidelines.

Therefore, final "gnome" package should contain Base Components and ALL
 Core Applications.

*ADDITIONAL TO-DOs:*

1) Create new package called "gnome-minimal" and include GNOME Core
Applications ONLY of types "Essential System" and "System Tools";
according to guidelines.

2) Modify the service "gnome-desktop-service-type" in such a way where
package "gnome-minimal" can be used as a value (alternative to the
default value "gnome").

Therefore, final "gnome-minimal" package should contain Base Components
and Core Applications ONLY of types essential system and system tools.




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.
Severity set to 'serious' from 'normal' Request was from Raghav Gururajan <rvgn@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 11 May 2019 10:30:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 11 06:30:17 2019
Received: from localhost ([127.0.0.1]:39950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPPGj-0000VJ-5y
	for submit <at> debbugs.gnu.org; Sat, 11 May 2019 06:30:17 -0400
Received: from knopi.disroot.org ([178.21.23.139]:34772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hPPGg-0000VA-S2
 for 35586 <at> debbugs.gnu.org; Sat, 11 May 2019 06:30:15 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6062130E79;
 Sat, 11 May 2019 12:30:11 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id fYUnE6TIoqLg; Sat, 11 May 2019 12:30:10 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557570610; bh=xwEX7ZAO9t1jFMbK9dvM+7/fmCSGtjgnwgN0kMlAhlY=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=iAMsd+iAiTc1ZL42azRSfb0ic4i6RsQXqjOFCwNUrcdrCIZfQ4sS4YwZpJuGATlxz
 jMX4xFaRFdU/9sItfj7YnteegLrHIZAoG8kgP1IMAkopgGYEEEFqxHWXgDn97iIaUu
 ZHi2uHJRW5cxUmdyJcsb6x4opXVV+N/OAGgMAz6LPuz0gbD8Tgq+KEq9iaxDAXD+Gr
 ZrRqgfOZOdSG1o5+290aUi1nl+2XUovaDjeKblvVnB2DqwB7IdUxJnIZ55Jj3tkwi0
 G4Qcc4812RN0vJdyWSViwngwH5p6cCmRsYdcXjEnXuK8QosrNdvDHuj62ujk71h78q
 Qancf4w8WN9dg==
Date: Sat, 11 May 2019 10:30:10 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: "Raghav Gururajan" <rvgn@HIDDEN>
Message-ID: <a5f6915581905833151fb147d04170f6@HIDDEN>
Subject: Re: bug#35586: GNOME
To: "Ricardo Wurmus" <rekado@HIDDEN>
In-Reply-To: <875zqhs3ps.fsf@HIDDEN>
References: <875zqhs3ps.fsf@HIDDEN>
 <7a8b3492f9882d4179cb114136de7e92@HIDDEN>
 <e2d35da2991336f8723ebbbeb92d5e57@HIDDEN> <87zhnzfkz6.fsf@nckx>
 <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
 <c48e755ec403a6f00925597bfb6247ec@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org, me@HIDDEN, clement@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> not all of the GNOME applications have been packaged. Would you like to=
=0A> try to package some of the missing applications?=0A=0ASure, I will g=
ive it a try :)=0A=0A> This bug has a lower priority to me than others, s=
o I=E2=80=99m unlikely to work=0A> on this soon.=0A=0AI see.=0A=0ARegards=
,=0ARG.




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 11 May 2019 10:24:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 11 06:24:10 2019
Received: from localhost ([127.0.0.1]:39939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPPAo-0000F4-NZ
	for submit <at> debbugs.gnu.org; Sat, 11 May 2019 06:24:10 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21283)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hPPAm-0000Ew-S3
 for 35586 <at> debbugs.gnu.org; Sat, 11 May 2019 06:24:09 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1557570236; cv=none; d=zoho.com; s=zohoarc; 
 b=hwhdrlgsgEYnCmKvpNC5AjmmadJWciMEjwvNAOdPbtdRbFjNiDie0oz1lfs3YIhPDwu5NS3Kis8W7OEy/tB3Sm4UzzTejzSmbpQ0WhTMxVjXMZWPlOOaZwRp2ivNw3s5DrqZf6OxDibScYbR+f2fWpCyq1fSc18gC+8XGJscjMs=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1557570236;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=xkICCzhAfGpa4z9jWMmlkdBdAReAYt3n+Nkh05PhW/s=; 
 b=e3L5+1uCli16snYqLxm09Ofl+1TMtmg0qxeb+wTNNXDBrulq56mUk16+pMGQAM25ZGEcY1qpRmexjzNN4j/2+GxH0yWbq9r7XCjkSfY1aLgQh91KLz4srD7ovU3z0GVCfaXutaMK2mdAbuVwtxZ1vrYPbb8mKlgmEJr5gJajyJc=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1557570236; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=295; bh=xkICCzhAfGpa4z9jWMmlkdBdAReAYt3n+Nkh05PhW/s=;
 b=fF1F1So2f/MHZEYezyxWmCkgv6Vfjlo4Zdn7EYn6IaGiDzZF+4TtOC/ij59PTH93
 LuGEtK17DXBP++eC3rTZMcxrxt7xcxFCHD2JOxontS6S0uj3ZKLOZz0T3TdkIERw1OU
 3Ou4ED1zEq1F+t2PkgxvIEo0vP2V18u9h+PHsLUQ=
Received: from localhost (p4FD5AA8F.dip0.t-ipconnect.de [79.213.170.143]) by
 mx.zohomail.com with SMTPS id 155756933240932.72062063504154;
 Sat, 11 May 2019 03:08:52 -0700 (PDT)
References: <7a8b3492f9882d4179cb114136de7e92@HIDDEN>
 <e2d35da2991336f8723ebbbeb92d5e57@HIDDEN> <87zhnzfkz6.fsf@nckx>
 <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
 <c48e755ec403a6f00925597bfb6247ec@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
To: Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#35586: GNOME
In-reply-to: <c48e755ec403a6f00925597bfb6247ec@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Sat, 11 May 2019 12:08:47 +0200
Message-ID: <875zqhs3ps.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org, me@HIDDEN, clement@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Raghav,

> Any update on this bug please?

not all of the GNOME applications have been packaged.  Would you like to
try to package some of the missing applications?

This bug has a lower priority to me than others, so I=E2=80=99m unlikely to=
 work
on this soon.

--=20
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 11 May 2019 09:48:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 11 05:48:49 2019
Received: from localhost ([127.0.0.1]:39897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPOcb-0007ng-6Z
	for submit <at> debbugs.gnu.org; Sat, 11 May 2019 05:48:49 -0400
Received: from knopi.disroot.org ([178.21.23.139]:33964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hPOcY-0007nW-GY
 for 35586 <at> debbugs.gnu.org; Sat, 11 May 2019 05:48:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 34BEA30E67;
 Sat, 11 May 2019 11:48:45 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id mTW5nWuX0Obq; Sat, 11 May 2019 11:48:44 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557568124; bh=u/geKx2MUNzeJtVslGhxuls9sX+o+kn0BGvwTFrFXkQ=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=GFyYv8T905Ntwjm24Yrskd1lhzSomiwcSLU3Sf18i7HHfQkoZ5KwZll9HE2XFRMdP
 LVPVBIBxjkR2vBylbfngHqeLIMA/xEU5enbgNbdr/LKgs4hwATCNjJtTIYI+fbuB1t
 w2EdY5CGtkkmSYGDcIznQlvDvGPD6oKJJjA9kwhYDMKWdKiNKhJeuF7cJHhyekbvJU
 20YnGEqEtEAffV93GtjeMto1/tVikzBmKlM6foyK2+9iLfpzKoqaWTRIL5sDNSkoFC
 1UMvWkQRB+9Vcul8kqQoJFfjH7eaXcQw7UtB+S/Me2y87e8/OTgFcvG4hE86bZqUUs
 6pqzsh2LS4iyA==
Date: Sat, 11 May 2019 09:48:44 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: "Raghav Gururajan" <rvgn@HIDDEN>
Message-ID: <c48e755ec403a6f00925597bfb6247ec@HIDDEN>
Subject: Re: bug#35586: GNOME
To: rekado@HIDDEN, clement@HIDDEN, me@HIDDEN
In-Reply-To: <7a8b3492f9882d4179cb114136de7e92@HIDDEN>
References: <7a8b3492f9882d4179cb114136de7e92@HIDDEN>
 <e2d35da2991336f8723ebbbeb92d5e57@HIDDEN> <87zhnzfkz6.fsf@nckx>
 <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Guix Folks!=0A=0AAny update on this bug please?=0A=0ARegards,=0ARG.




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.
Changed bug title to 'GNOME Core Applications' from 'GNOME' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 7 May 2019 06:29:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 07 02:29:26 2019
Received: from localhost ([127.0.0.1]:58109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNtbS-00070O-GC
	for submit <at> debbugs.gnu.org; Tue, 07 May 2019 02:29:26 -0400
Received: from knopi.disroot.org ([178.21.23.139]:41986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNtbM-00070A-0S
 for 35586 <at> debbugs.gnu.org; Tue, 07 May 2019 02:29:24 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 4390B309AD;
 Tue,  7 May 2019 08:29:18 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 08ztYAqszxTR; Tue,  7 May 2019 08:29:16 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557210556; bh=/DrhuuQl0eqxuoC0b7MuOCdMGzeCduaq6R1+Gy7RP8c=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=aGDD8AYh3ggIkxvqYAU3Z99x4n+UxiflrSxa+IcaZM6CgYsi6dhmt82I+HpxUC+ap
 SLoSFNo9VGgDr8sRv+PBc99kWyJzeieNSfD6HIOfeh5SgPBg6vBi3OLeSvyMJkkdPZ
 amdGbMmEKr0r1cBrsv4U60cUTUpaUQAjkSOAtYZgwwSO5V/AEymSp/dC33kE52A28g
 AZIafa6lmIUogA5NIDsUhMemIhEqzh+pH1CfSAUMtURBBLauHgJ543JxdwC/flqwcz
 1woEcouywwBFgTIkqC81Ehh5ANPT6x/mSf+yHGdIrtX8I3CyPe51W34cVDT0RsIOvq
 NlWzBI9kYeT0Q==
Date: Tue, 07 May 2019 06:29:16 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: "Raghav Gururajan" <rvgn@HIDDEN>
Message-ID: <7a8b3492f9882d4179cb114136de7e92@HIDDEN>
Subject: Re: bug#35586: GNOME
To: rekado@HIDDEN, clement@HIDDEN, me@HIDDEN
In-Reply-To: <e2d35da2991336f8723ebbbeb92d5e57@HIDDEN>
References: <e2d35da2991336f8723ebbbeb92d5e57@HIDDEN>
 <87zhnzfkz6.fsf@nckx>
 <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello!=0A=0ARecently, I have been given this link (https://wiki.gnome.org=
/Design/Apps) which lists all GNOME Core Applications that are to be adde=
d to guix's gnome package.=0A=0AWhether or not to do this, I think the pa=
ckage with the name "gnome" in any distribution should always reflect the=
 vanilla gnome suite released by GNOME Project. Any modification to it, I=
 think, should be packaged under different name like "gnome-minimal" or g=
nome-extras" etc. This can be a good standard.=0A=0AMy suggestion is,=0Ag=
nome --> With All Core Apps=0Agnome-minimal --> Without Any Core Apps (Pr=
ovides only xorg/wayland, dm, wm, menus, drivers, services etc.)=0A=0A** =
INFO: Core Apps can be found at https://wiki.gnome.org/Design/Apps. **=0A=
=0AAlso, based on the above, I think we also need to create/enable new va=
lue "gnome-minimal" for the data type "gnome-desktop-configuration" of th=
e variable "gnome-desktop-service-type". Value "gnome" can still be defau=
lt though. Power users can change the value to "gnome-minimal".=0A=0AThis=
 can provide good modularity and thus provides choices to users. For exam=
ple, 1) If a user needs full-blown GNOME, "gnome" can be chosen, 2) If a =
user needs only minimal GNOME, "gnome-minimal" can be chosen, 3) If a use=
r needs minimal GNOME with select core apps, "gnome-minimal" can be chose=
n under service and individual needed core apps can be added under system=
 packages.=0A=0AAlso, it would be a good standard to use generic names fo=
r packaging as recommended at https://blogs.gnome.org/mcatanzaro/2016/09/=
21/gnome-3-22-core-apps. Other alias-names/project names can be included =
in package's description. =0A=0AThank you!=0A=0ARegards,=0ARG.=0A=0AMay 6=
, 2019 7:30 PM, "Raghav Gururajan" <rvgn@HIDDEN> wrote:=0A=0A> T-G-R=
!=0A> =0A> Thanks for your email. I understand what you mentioned. I came=
 across this link=0A> (https://blogs.gnome.org/mcatanzaro/2016/09/21/gnom=
e-3-22-core-apps), where the dev(s) recommend to=0A> use generic names wh=
ile packaging GNOME Core Apps. :)=0A> =0A> I think it is better to use ge=
neric names for package names and include other aliases/project-names=0A>=
 in the package tagline and/or package description.=0A> =0A> May 6, 2019 =
7:20 PM, "Tobias Geerinckx-Rice" <me@HIDDEN> wrote:=0A> =0A>> Raghav,=
=0A>> =0A>> Thanks for taking a look at this. I'm sure there's plenty to =
be=0A>> improved in how we package a large collection of software like=0A=
>> GNOME in an intuitive way.=0A>> =0A>> Raghav Gururajan wrote:=0A>> =0A=
>>> The following gnome core applications have already been included=0A>>=
> in=0A>>> guix's gnome package but requires correct renaming?=0A>>> =0A>=
>> epiphany --> gnome-web=0A>> =0A>> Using =E2=80=98correct=E2=80=99 here=
 is a bit strong.=0A>> =0A>> ~ =CE=BB guix install epiphany=0A>> ~ =CE=BB=
 gnome-web=0A>> bash: gnome-web: command not found=0A>> ~ =CE=BB epiphany=
=0A>> # browsin' time=0A>> =0A>> While we don't blindly name packages aft=
er the binaries they=0A>> provide, of course, a look at the project's own=
 publications=0A>> doesn't reduce the confusion. Ironic.=0A>> =0A>> =E2=
=80=9CWeb is the web browser for the GNOME desktop and for elementary=0A>=
> OS,=0A>> based on the popular WebKit engine. It offers a simple, clean,=
=0A>> beautiful view of the web featuring first-class GNOME and=0A>> Pant=
heon=0A>> desktop integration. Its code name is Epiphany.=0A>> =0A>> You =
may install Web from the software repositories of most=0A>> Linux=0A>> op=
erating systems, where it is normally packaged as=0A>> "epiphany-browser"=
 or "epiphany". =E2=80=9D[0]=0A>> =0A>> The README[1] mainly, but not exc=
lusively, talks about =E2=80=98Epiphany=E2=80=99.=0A>> Even the two URLs =
balance each other out. I don't think there's=0A>> enough here to justify=
 gross renaming, and in the name of all=0A>> that's holy let's avoid anot=
her mass renaming incident.=0A>> =0A>> Personally, I think adding =E2=80=
=98GNOME Foo=E2=80=99 to the synopses of all=0A>> these packages is suffi=
cient (epiphany does this by coincidence,=0A>> calling itself the =E2=80=
=98GNOME web browser=E2=80=99). Eventually, this could=0A>> be another us=
e for the separate (G)UI display name field as=0A>> suggested in the game=
s thread. :-)=0A>> =0A>> Package names aren't opaque identifiers, but the=
y can be a little=0A>> technical IMO.=0A>> =0A>> Kind regards,=0A>> =0A>>=
 T G-R=0A>> =0A>> [0]: https://wiki.gnome.org/Apps/Web=0A>> [1]: https://=
github.com/GNOME/epiphany




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 6 May 2019 19:31:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 15:31:00 2019
Received: from localhost ([127.0.0.1]:57458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNjKG-00081X-9o
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 15:31:00 -0400
Received: from knopi.disroot.org ([178.21.23.139]:34934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNjKF-00081O-2E
 for 35586 <at> debbugs.gnu.org; Mon, 06 May 2019 15:30:59 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 5122330942;
 Mon,  6 May 2019 21:30:58 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id yU16849NdhQY; Mon,  6 May 2019 21:30:56 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557171056; bh=RBNS00mtZi0hDnKkygBlaCapRZ0kNDabjVQisUuQ53Y=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=URDzmq2z2NX+cY12KAqOMqBGcVC7Hl69WMk1FzySbDsG9Wo6YrNEdyJ4N/WM6xEKX
 eneEdSrqq6ARs2zLOjm8x9WO/oR0I6n3wrCuLK1P9aZsg2iBJarAbcyqE1Iv+1hjdI
 A1huhoUqJEuq2GGJlo9OuqCftzSPSZ7lyLr2ImGgzc2JmkuCQTX9xmgHbrGY1rrgzP
 FA6uMBZul3R0QPRjU0xHp3I6CiDwSocf8fuVK46JP934KsH2vG7yHmgwN48m23oNbK
 InoJ7KrtVQUGBvTLPhmz81GkOh+xMXWiO9LyKfgRpGrO5KEyujSeUcrWquZHuQmZwA
 ZnO2aDXDHBcOw==
Date: Mon, 06 May 2019 19:30:56 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: "Raghav Gururajan" <rvgn@HIDDEN>
Message-ID: <e2d35da2991336f8723ebbbeb92d5e57@HIDDEN>
Subject: Re: bug#35586: GNOME
To: "Tobias Geerinckx-Rice" <me@HIDDEN>
In-Reply-To: <87zhnzfkz6.fsf@nckx>
References: <87zhnzfkz6.fsf@nckx>
 <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

T-G-R!=0A=0AThanks for your email. I understand what you mentioned. I cam=
e across this link (https://blogs.gnome.org/mcatanzaro/2016/09/21/gnome-3=
-22-core-apps/), where the dev(s) recommend to use generic names while pa=
ckaging GNOME Core Apps. :)=0A=0AI think it is better to use generic name=
s for package names and include other aliases/project-names in the packag=
e tagline and/or package description.=0A=0AMay 6, 2019 7:20 PM, "Tobias G=
eerinckx-Rice" <me@HIDDEN> wrote:=0A=0A> Raghav,=0A> =0A> Thanks for t=
aking a look at this. I'm sure there's plenty to be =0A> improved in how =
we package a large collection of software like =0A> GNOME in an intuitive=
 way.=0A> =0A> Raghav Gururajan wrote:=0A> =0A>> The following gnome core=
 applications have already been included=0A>> in=0A>> guix's gnome packag=
e but requires correct renaming?=0A>> =0A>> epiphany --> gnome-web=0A> =
=0A> Using =E2=80=98correct=E2=80=99 here is a bit strong.=0A> =0A> ~ =CE=
=BB guix install epiphany=0A> ~ =CE=BB gnome-web=0A> bash: gnome-web: com=
mand not found=0A> ~ =CE=BB epiphany=0A> # browsin' time=0A> =0A> While w=
e don't blindly name packages after the binaries they=0A> provide, of cou=
rse, a look at the project's own publications=0A> doesn't reduce the conf=
usion. Ironic.=0A> =0A> =E2=80=9CWeb is the web browser for the GNOME des=
ktop and for elementary=0A> OS,=0A> based on the popular WebKit engine. I=
t offers a simple, clean,=0A> beautiful view of the web featuring first-c=
lass GNOME and=0A> Pantheon=0A> desktop integration. Its code name is Epi=
phany.=0A> =0A> You may install Web from the software repositories of mos=
t=0A> Linux=0A> operating systems, where it is normally packaged as=0A> "=
epiphany-browser" or "epiphany". =E2=80=9D[0]=0A> =0A> The README[1] main=
ly, but not exclusively, talks about =E2=80=98Epiphany=E2=80=99.=0A> Even=
 the two URLs balance each other out. I don't think there's=0A> enough he=
re to justify gross renaming, and in the name of all=0A> that's holy let'=
s avoid another mass renaming incident.=0A> =0A> Personally, I think addi=
ng =E2=80=98GNOME Foo=E2=80=99 to the synopses of all=0A> these packages =
is sufficient (epiphany does this by coincidence,=0A> calling itself the =
=E2=80=98GNOME web browser=E2=80=99). Eventually, this could=0A> be anoth=
er use for the separate (G)UI display name field as=0A> suggested in the =
games thread. :-)=0A> =0A> Package names aren't opaque identifiers, but t=
hey can be a little=0A> technical IMO.=0A> =0A> Kind regards,=0A> =0A> T =
G-R=0A> =0A> [0]: https://wiki.gnome.org/Apps/Web=0A> [1]: https://github=
.com/GNOME/epiphany




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 6 May 2019 19:20:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 15:20:55 2019
Received: from localhost ([127.0.0.1]:57440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNjAV-0007in-93
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 15:20:55 -0400
Received: from tobias.gr ([80.241.217.52]:47440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1hNjAP-0007iR-6T
 for 35586 <at> debbugs.gnu.org; Mon, 06 May 2019 15:20:53 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 13b863eb;
 Mon, 6 May 2019 19:20:46 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=D0ttq8/uUseHn7K5F5mQqD
 8IcRT7tdsyLgi0Z5lu8G4=; b=CXKH53gWI8TZidtlsMnfKQ4apa49WdfnuRwb9h
 gKgOP0anjV/Q+2HHEwAk5RACrUWpyQztwsqtmegf+mz8+ZLH/ltSiqSUoTPpslnE
 tFZEe7e+JC29Y2HVqm5fE/Lp5LTHBWRgJlyE/Oh74QuY+h4YQCC5BMzU6Xlisgdb
 Z1Mxc03p5+z3lhvDFX9Aas6XfCojD4cjPUCW/iFxeDtkrLDfXM7Ml+BsmQZv4V0p
 9XbRQXRzxWbAjrtQz8GbLm/IEKKb4h7plJF5SAMEEbiYWfUMhB9qJqsa7oztt0oF
 E26wxeSj3laAHUjIPvl/oPnEg4wdE8naLCwZe+kpLzA5cAPg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 44b9ef05
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 6 May 2019 19:20:46 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#35586: GNOME
References: <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
In-reply-to: <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
Date: Mon, 06 May 2019 21:20:45 +0200
Message-ID: <87zhnzfkz6.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Raghav,

Thanks for taking a look at this.  I'm sure there's plenty to be=20
improved in how we package a large collection of software like=20
GNOME in an intuitive way.

Raghav Gururajan wrote:
> The following gnome core applications have already been included=20
> in
> guix's gnome package but requires correct renaming?
>
> epiphany --> gnome-web

Using =E2=80=98correct=E2=80=99 here is a bit strong.

  ~ =CE=BB guix install epiphany
  ~ =CE=BB gnome-web
  bash: gnome-web: command not found
  ~ =CE=BB epiphany
  # browsin' time

While we don't blindly name packages after the binaries they=20
provide, of course, a look at the project's own publications=20
doesn't reduce the confusion.  Ironic.

  =E2=80=9CWeb is the web browser for the GNOME desktop and for elementary=
=20
  OS,
   based on the popular WebKit engine. It offers a simple, clean,
   beautiful view of the web featuring first-class GNOME and=20
   Pantheon
   desktop integration. Its code name is Epiphany.

   You may install Web from the software repositories of most=20
   Linux
   operating systems, where it is normally packaged as
   "epiphany-browser" or "epiphany". =E2=80=9D[0]

The README[1] mainly, but not exclusively, talks about =E2=80=98Epiphany=E2=
=80=99.=20
Even the two URLs balance each other out.  I don't think there's=20
enough here to justify gross renaming, and in the name of all=20
that's holy let's avoid another mass renaming incident.

Personally, I think adding =E2=80=98GNOME Foo=E2=80=99 to the synopses of a=
ll=20
these packages is sufficient (epiphany does this by coincidence,=20
calling itself the =E2=80=98GNOME web browser=E2=80=99).  Eventually, this =
could=20
be another use for the separate (G)UI display name field as=20
suggested in the games thread. :-)

Package names aren't opaque identifiers, but they can be a little=20
technical IMO.

Kind regards,

T G-R

[0]: https://wiki.gnome.org/Apps/Web
[1]: https://github.com/GNOME/epiphany

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXNCJDQAKCRANsP+IT1Vt
eY9uAP4295Sw4iYvtpN3guUfLbLWr50KtX0/J57gCZ+3VsY2PwEA55KKMWsL/HNZ
Nja6Ua3Zs3/HG4WPpyTqCE2uLyLksQw=
=DDJo
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 6 May 2019 14:05:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 10:05:48 2019
Received: from localhost ([127.0.0.1]:57148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNeFY-0007iP-9S
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 10:05:48 -0400
Received: from knopi.disroot.org ([178.21.23.139]:51234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNeFW-0007iG-Jv
 for 35586 <at> debbugs.gnu.org; Mon, 06 May 2019 10:05:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 268C73091D;
 Mon,  6 May 2019 16:05:46 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id RueSyePIsf5t; Mon,  6 May 2019 16:05:44 +0200 (CEST)
Message-ID: <36a6a5df18d9730e9a05e360c54edb75517ca479.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557151544; bh=MgQLh3CQCKK3Y9tCCo5b/YMeRU4ClwHmc6+1IaRBe+M=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=Sc4LVPPbBOgThStBViR0TvHdQwBxxVa10aZM6sh2Yjnz3nwniFQg7eGJo76T42InH
 u6JEyk2VjsSVWizPkTtMBHeNEUAyh0i4EUMCN2r06umkpu6EhiozJ62B2Q6+SqnYKh
 dVcVxz/JWSQPZLkC38YF4AHOCF40MDohQ1a+ARYgD5hGSyLX4SdB9j3l0mzdCn2OW6
 qDjCncL/Vc1Mj5BMmDqkleKAFpD1z25L+oaRgYjg1F6mBV7SIx0+9O06veWN07wnVS
 CLR3OgaJB32MnwnaZZr2zXXkNvHkgY1mkmBsrpmKfKR0qxZRNGomYUEKpxvLPCoBIp
 FWvaWmQT7hbFA==
Subject: Re: bug#35586: GNOME
From: Raghav Gururajan <rvgn@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Date: Mon, 06 May 2019 10:05:42 -0400
In-Reply-To: <20190506091454.2trvy3tbe7pac7qc@HIDDEN>
References: <20190506075752.95172308D9@HIDDEN>
 <20190506091454.2trvy3tbe7pac7qc@HIDDEN>
Content-Type: multipart/alternative; boundary="=-LmjONxx2s8trU6OGQ2W4"
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-LmjONxx2s8trU6OGQ2W4
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Ah, I see. ☺
On Mon, 2019-05-06 at 11:14 +0200, pelzflorian (Florian Pelz) wrote:
> On Mon, May 06, 2019 at 03:57:48AM -0400, Raghav Gururajan wrote:
> Also, I think it should be okay to include apps mentioned in
> "incubator" section as well. In Guix, users can roll back to older
> versions of newer ones are unstable.
> 
> Well, incubator apps have not enough polish.  Then again, what back
> in2016 was an incubator app maybe works fine now — I see the
> bloglinking to https://wiki.gnome.org/Design/Apps which lists Notes
> ascore now.  Dictionary is listed as inactive/retired on the other
> hand.
> Regards,Florian
--=-LmjONxx2s8trU6OGQ2W4
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html><head></head><body bgcolor=3D"#ffffff" text=3D"#2e3436" link=3D"#7373=
73" vlink=3D"#2e3436"><div>Ah, I see. =E2=98=BA</div><div><br></div><div>On=
 Mon, 2019-05-06 at 11:14 +0200, pelzflorian (Florian Pelz) wrote:</div><bl=
ockquote type=3D"cite" style=3D"margin:0 0 0 .8ex; border-left:2px #729fcf =
solid;padding-left:1ex"><pre>On Mon, May 06, 2019 at 03:57:48AM -0400, Ragh=
av Gururajan wrote:</pre><pre><blockquote type=3D"cite" style=3D"margin:0 0=
 0 .8ex; border-left:2px #729fcf solid;padding-left:1ex"></blockquote></pre=
><pre>Also, I think it should be okay to include apps mentioned in "incubat=
or" section as well. In Guix, users can roll back to older versions of newe=
r ones are unstable.</pre><pre><br></pre><pre></pre><pre><br></pre><pre>Wel=
l, incubator apps have not enough polish.  Then again, what back in</pre><p=
re>2016 was an incubator app maybe works fine now =E2=80=94 I see the blog<=
/pre><pre>linking to <a href=3D"https://wiki.gnome.org/Design/Apps">https:/=
/wiki.gnome.org/Design/Apps</a> which lists Notes as</pre><pre>core now.  D=
ictionary is listed as inactive/retired on the other hand.</pre><pre><br></=
pre><pre>Regards,</pre><pre>Florian</pre><pre><br></pre></blockquote></body=
></html>
--=-LmjONxx2s8trU6OGQ2W4--





Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 6 May 2019 14:02:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 10:02:24 2019
Received: from localhost ([127.0.0.1]:57143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNeCF-0007d1-Mn
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 10:02:23 -0400
Received: from knopi.disroot.org ([178.21.23.139]:32812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNeCB-0007cp-0l
 for 35586 <at> debbugs.gnu.org; Mon, 06 May 2019 10:02:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id A8F40307D7;
 Mon,  6 May 2019 16:02:16 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id vWOS20GfrzFT; Mon,  6 May 2019 16:02:11 +0200 (CEST)
Message-ID: <e698b4f061d4f607200724be69a26adb559f02aa.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557151325; bh=z6R+zjqDBsvXoQrx6wsgYtsSLReXT1O93MonCVZjZs4=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=dTozSfMq89ds6TqanyymUPl/xrQ9AWvera8K8gHpbgEgzU7Ufsuue+Sykoiwf+0xG
 QWIrT6wbBJV+SZJdSxb0YSrYguEWH4r2ctxbxACH7QHT/5FWsJ60CGYamxP10QTT4U
 oIbjbXtYwwc/07IaSkbTiF39J7g8S0RpETK5Tq/ylijG5ZlnPtQJhx8Nk+i3i9rz6k
 ZP/YI+FCNMJlkK33w5FwiQ4SbapcojKCP0NLjytC2Y6MSKKGlmxzqaknwL1VZxey8a
 ZfV6tKt+tXdPaYjvlV+KgXpdA0hrEHp2TbkNT8fk1FV+cperL2QFs1qTbRZr6t5A+s
 qGqOGV7v1EkNQ==
Subject: Re: bug#35586: GNOME
From: Raghav Gururajan <rvgn@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Date: Mon, 06 May 2019 10:02:03 -0400
In-Reply-To: <20190506090534.c3xzmapsdrqtc7ww@HIDDEN>
References: <20190506075159.12C59308D7@HIDDEN>
 <20190506090534.c3xzmapsdrqtc7ww@HIDDEN>
Content-Type: multipart/alternative; boundary="=-pZKrZPmqVlcf8JUER8MU"
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-pZKrZPmqVlcf8JUER8MU
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Yeah! You could be right.

On Mon, 2019-05-06 at 11:05 +0200, pelzflorian (Florian Pelz) wrote:
> On Mon, May 06, 2019 at 03:51:54AM -0400, Raghav Gururajan wrote:
> On 5 May 2019 16:48, "pelzflorian (Florian Pelz)" <pelzflorian@pelzfl
> orian.de> wrote:
> You can also type both Epiphany and (your language’s translation of)
> Web in the GNOME Activities search bar to find Epiphany.  The same
> goes for Nautilus.  The terminal command is also still epiphany or
> nautilus. 
> I do not know if it is possible to give a package two names; I
> believe it is not. 
> I understand what you are saying. It appears epiphany is the old name
> (https://en.m.wikipedia.org/wiki/GNOME_Web). Dev must have used
> epiphany now a days as a habit.
> Also, the previous blog link you sent me, recommends to use generic
> names.
> 
> Maybe gnome-web could be the real package’s name and there could be
> apackage called epiphany that propagates gnome-web, like the
> gnomemeta-package does?  Same for nautilus etc.
> Regards,Florian
> 
--=-pZKrZPmqVlcf8JUER8MU
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html><head></head><body bgcolor=3D"#ffffff" text=3D"#2e3436" link=3D"#7373=
73" vlink=3D"#2e3436"><div>Yeah! You could be right.</div><div><br></div><d=
iv>On Mon, 2019-05-06 at 11:05 +0200, pelzflorian (Florian Pelz) wrote:</di=
v><blockquote type=3D"cite" style=3D"margin:0 0 0 .8ex; border-left:2px #72=
9fcf solid;padding-left:1ex"><pre>On Mon, May 06, 2019 at 03:51:54AM -0400,=
 Raghav Gururajan wrote:</pre><pre><blockquote type=3D"cite" style=3D"margi=
n:0 0 0 .8ex; border-left:2px #729fcf solid;padding-left:1ex"></blockquote>=
</pre><pre>On 5 May 2019 16:48, "pelzflorian (Florian Pelz)" &lt;<a href=3D=
"mailto:pelzflorian@HIDDEN">pelzflorian@HIDDEN</a>&gt; wrot=
e:</pre><pre><blockquote type=3D"cite" style=3D"margin:0 0 0 .8ex; border-l=
eft:2px #729fcf solid;padding-left:1ex"></blockquote></pre><pre>You can als=
o type both Epiphany and (your language=E2=80=99s translation of) </pre><pr=
e>Web in the GNOME Activities search bar to find Epiphany.&nbsp; The same <=
/pre><pre>goes for Nautilus.&nbsp; The terminal command is also still epiph=
any or </pre><pre>nautilus. </pre><pre><br></pre><pre>I do not know if it i=
s possible to give a package two names; I believe </pre><pre>it is not. </p=
re><pre></pre><pre><br></pre><pre>I understand what you are saying. It appe=
ars epiphany is the old name (<a href=3D"https://en.m.wikipedia.org/wiki/GN=
OME_Web">https://en.m.wikipedia.org/wiki/GNOME_Web</a>). Dev must have used=
 epiphany now a days as a habit.</pre><pre><br></pre><pre>Also, the previou=
s blog link you sent me, recommends to use generic names.</pre><pre><br></p=
re><pre></pre><pre><br></pre><pre>Maybe gnome-web could be the real package=
=E2=80=99s name and there could be a</pre><pre>package called epiphany that=
 propagates gnome-web, like the gnome</pre><pre>meta-package does?  Same fo=
r nautilus etc.</pre><pre><br></pre><pre>Regards,</pre><pre>Florian</pre><p=
re><br></pre></blockquote></body></html>
--=-pZKrZPmqVlcf8JUER8MU--





Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 6 May 2019 09:15:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 05:15:09 2019
Received: from localhost ([127.0.0.1]:55714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNZiH-000653-Ev
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 05:15:09 -0400
Received: from pelzflorian.de ([5.45.111.108]:43146 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hNZiF-00064p-Q1
 for 35586 <at> debbugs.gnu.org; Mon, 06 May 2019 05:15:08 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id E6F6F360038;
 Mon,  6 May 2019 11:14:54 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1557134095;
 bh=D9PzEkZR+88at/gab00WRVB359C1se+tQhuYXq01bqo=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=GOZITz0Fzo+rfemS8KABMi5/vFlY839s2iIgVOWIqlk1QU0EXmXs5BX385q2UtH65
 wbo93E+E6NpgEEU7ySg3txI6UKmD2cFG4EUkcER039lXaYVtB0TiIkgPPQEP7s6eA0
 B2avxph1VyHVQ6tFUxJdico7cdVsE9/IqoPF0ZCE=
Date: Mon, 6 May 2019 11:14:54 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#35586: GNOME
Message-ID: <20190506091454.2trvy3tbe7pac7qc@HIDDEN>
References: <20190506075752.95172308D9@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20190506075752.95172308D9@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, May 06, 2019 at 03:57:48AM -0400, Raghav Gururajan wrote:
> Also, I think it should be okay to include apps mentioned in "incubator" section as well. In Guix, users can roll back to older versions of newer ones are unstable.
> 

Well, incubator apps have not enough polish.  Then again, what back in
2016 was an incubator app maybe works fine now — I see the blog
linking to https://wiki.gnome.org/Design/Apps which lists Notes as
core now.  Dictionary is listed as inactive/retired on the other hand.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 6 May 2019 09:05:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 05:05:51 2019
Received: from localhost ([127.0.0.1]:55692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNZZG-0005ol-LE
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 05:05:50 -0400
Received: from pelzflorian.de ([5.45.111.108]:43132 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hNZZE-0005oW-4x
 for 35586 <at> debbugs.gnu.org; Mon, 06 May 2019 05:05:49 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 97AD8360038;
 Mon,  6 May 2019 11:05:34 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1557133534;
 bh=u2V0oOh0/Tfk4RdQ4ym3UdoSJeOb5wkFCUK+bUwTYlE=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=Th0A3X/FMBGZjQLNkw7oraAxrvlZiJrOSmcN/ywyw7Gq1Wq3gRwWduIbJKiPtN6uo
 YrtWl1fs9fK4gS32WDqLUECn/tDQEGGGMQZKKDb1DUwAF3KWVu3J3xRk9GlN8rxUHb
 acePzxsx613MKZFRVDndNJ1YSDgF/MFV1Q4fuDQg=
Date: Mon, 6 May 2019 11:05:34 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#35586: GNOME
Message-ID: <20190506090534.c3xzmapsdrqtc7ww@HIDDEN>
References: <20190506075159.12C59308D7@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20190506075159.12C59308D7@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, May 06, 2019 at 03:51:54AM -0400, Raghav Gururajan wrote:
> On 5 May 2019 16:48, "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> wrote:
> > You can also type both Epiphany and (your language’s translation of) 
> > Web in the GNOME Activities search bar to find Epiphany.  The same 
> > goes for Nautilus.  The terminal command is also still epiphany or 
> > nautilus. 
> >
> > I do not know if it is possible to give a package two names; I believe 
> > it is not. 
> 
> I understand what you are saying. It appears epiphany is the old name (https://en.m.wikipedia.org/wiki/GNOME_Web). Dev must have used epiphany now a days as a habit.
> 
> Also, the previous blog link you sent me, recommends to use generic names.
>

Maybe gnome-web could be the real package’s name and there could be a
package called epiphany that propagates gnome-web, like the gnome
meta-package does?  Same for nautilus etc.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 6 May 2019 07:57:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 03:57:54 2019
Received: from localhost ([127.0.0.1]:55625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNYVW-00040b-Hb
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 03:57:54 -0400
Received: from knopi.disroot.org ([178.21.23.139]:42818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNYVV-00040U-Al
 for 35586 <at> debbugs.gnu.org; Mon, 06 May 2019 03:57:53 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 95172308D9;
 Mon,  6 May 2019 09:57:52 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id ym9cdvNOHxL6; Mon,  6 May 2019 09:57:51 +0200 (CEST)
Date: Mon, 06 May 2019 03:57:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557129471; bh=obPUndskyyv6p5hcruo+71nGJjIMoPp3zu9i+lxuGAM=;
 h=Date:Subject:From:To:Cc;
 b=K6a0J2jFvtffb7MLo4izkaEGrWdf3shkdsY4tUHJRyRWoGrQIpYHDsjOoBQATI2BP
 IE58DK+chdKwr+u7/2GWmTkuy/my0G5UkIIzRv4bBmZRpKcCM6HXWJihVBKM7VEsc6
 NjQ/BV3JqzVth0tJHSb7haC+ndYkSgRTNcQFn6ktR7PMZKSFuW3T4Hhkouakw5NKm2
 LpuUYutPamX2ZUwsGvl9e6aD4l6Wkx5SMrqAKeJRey6HQ+vpOZGFA+Sg+NWp3yCZaE
 Pxab9d3yZoIdOVA0q/4cFY23tdDcZjvPYxz4ggXm/f0iCoo0LacLfqlY8fIn1D8aX6
 F2i044fgGsxaQ==
Subject: Re: bug#35586: GNOME
From: Raghav Gururajan <rvgn@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
Message-Id: <20190506075752.95172308D9@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ck9uIDUgTWF5IDIwMTkgMTY6NTAsICJwZWx6ZmxvcmlhbiAoRmxvcmlhbiBQZWx6KSIgPHBlbHpm
bG9yaWFuQHBlbHpmbG9yaWFuLmRlPiB3cm90ZToKPgo+IE9uIFN1biwgTWF5IDA1LCAyMDE5IGF0
IDAzOjM2OjUxUE0gLTA0MDAsIFJhZ2hhdiBHdXJ1cmFqYW4gd3JvdGU6IAo+ID4gRmxvcmlhbiEg
VGhlIGxpbmsgeW91IHByb3ZpZGVkIGlzIGF3ZXNvbWUuIAo+ID4gCj4gPiBJIHN0cm9uZ2x5IHJl
cXVlc3QgdGhlIGRldnMgdG8gdXNlIHRoYXQgbGluayAoaHR0cHM6Ly9ibG9ncy5nbm9tZS5vcmcv
bWNhdGFuemFyby8yMDE2LzA5LzIxL2dub21lLTMtMjItY29yZS1hcHBzLykgdG8gZml4IHRoaXMg
YnVnLiAKPgo+IFRoZXJlIGFjdHVhbGx5IGFsc28gaXM6IAo+IGh0dHBzOi8vYmxvZ3MuZ25vbWUu
b3JnL21jYXRhbnphcm8vMjAxNy8wOC8xMy9nbm9tZS0zLTI2LWNvcmUtYXBwbGljYXRpb25zLyAK
Pgo+IFRoaXMgaXMgbGVzcyBkZXRhaWxlZCB0aGFuIHRoZSBsaW5rIGJlZm9yZSwgYnV0IGl0IGlz
IG1vcmUgcmVjZW50LsKgIEkgCj4gZG8gbm90IHJlbWVtYmVyIHJlYWRpbmcgYSBtb3JlIHJlY2Vu
dCBwb3N0IG9uIEdOT01FIGNvcmUgYXBwbGljYXRpb25zIAo+IG9uIFBsYW5ldCBHTk9NRSwgYnV0
IEkgbWF5IGhhdmUgZm9yZ290dGVuLiAKClRoYW5rcyBGbG9yaWFuIQoKSSBzZWUuIAoKQWxzbywg
SSB0aGluayBpdCBzaG91bGQgYmUgb2theSB0byBpbmNsdWRlIGFwcHMgbWVudGlvbmVkIGluICJp
bmN1YmF0b3IiIHNlY3Rpb24gYXMgd2VsbC4gSW4gR3VpeCwgdXNlcnMgY2FuIHJvbGwgYmFjayB0
byBvbGRlciB2ZXJzaW9ucyBvZiBuZXdlciBvbmVzIGFyZSB1bnN0YWJsZS4KCj4KPiBSZWdhcmRz
LCAKPiBGbG9yaWFuIAo=





Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 6 May 2019 07:52:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 03:52:05 2019
Received: from localhost ([127.0.0.1]:55620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNYPs-0003rQ-N8
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 03:52:05 -0400
Received: from knopi.disroot.org ([178.21.23.139]:59798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNYPo-0003qx-Il
 for 35586 <at> debbugs.gnu.org; Mon, 06 May 2019 03:52:01 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 12C59308D7;
 Mon,  6 May 2019 09:51:59 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id a-exNxbxTcC9; Mon,  6 May 2019 09:51:57 +0200 (CEST)
Date: Mon, 06 May 2019 03:51:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557129117; bh=Lh2L/TN4x+b534Qzprha5pNnKLa7IVlecvl5L+cWSL0=;
 h=Date:Subject:From:To:Cc;
 b=I09hI+YFA105vl1x8Fu2SrsAa8lHQH5QYykCAxgXcfU3UU2f9R3KXFpKBZqJPlbuI
 xqfERkmFTT23kU+pYAeiooPbSWhjD3ubX4ZMjYjJnfUl53UrP4ZOgBmW77ExlPYrAw
 BMt7MQg1ypIAHJnFKJlCsSZ3MfofvK3BgGUQH/NUe0AiWLqPvWg8ZVPNFbHzfF21hQ
 uYZIcmbbeHaJmlx+klHyAwqdLBEBZNuVjgglgwmEMNXTICRuNeaGqt/hSl8x29odYo
 iB4PzXb+0R+a3EMeIZP3qNtXd7cKIgfYdiYzJhG9UrxvImFtXUzlnG89mFowZznXQs
 7A05FrEYWbRJw==
Subject: Re: bug#35586: GNOME
From: Raghav Gururajan <rvgn@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
Message-Id: <20190506075159.12C59308D7@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)
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=





Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 5 May 2019 20:50:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 16:50:28 2019
Received: from localhost ([127.0.0.1]:55025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNO5c-0005Cw-BR
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 16:50:28 -0400
Received: from pelzflorian.de ([5.45.111.108]:42488 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hNO5Z-0005Cm-Of
 for 35586 <at> debbugs.gnu.org; Sun, 05 May 2019 16:50:27 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 683CC360038;
 Sun,  5 May 2019 22:50:14 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1557089414;
 bh=ahsWyfUuQtlWGjpLRdmjhJmxCpIDMs/jAvFiZa2vOcM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=qrpbyXZdb+wX1JgaZG+Ciod1SYBN5GZPRMAGFgzuTlQm0alae5gpLfLcMxH3qU/vU
 XKks9k7fIIRHBKmzQvcQdx0Hru84nzp5Giy78pTgXQMwmEl2CC/f7rCTMe06EqiVCc
 cVu9T34J4uYIJOlfTqlAmUbzMxcvODXH+WusdLVU=
Date: Sun, 5 May 2019 22:50:14 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#35586: GNOME
Message-ID: <20190505205014.rlasyz64r44viqyh@HIDDEN>
References: <20190505193653.9B62A30856@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20190505193653.9B62A30856@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, May 05, 2019 at 03:36:51PM -0400, Raghav Gururajan wrote:
> Florian! The link you provided is awesome.
> 
> I strongly request the devs to use that link (https://blogs.gnome.org/mcatanzaro/2016/09/21/gnome-3-22-core-apps/) to fix this bug.

There actually also is:
https://blogs.gnome.org/mcatanzaro/2017/08/13/gnome-3-26-core-applications/

This is less detailed than the link before, but it is more recent.  I
do not remember reading a more recent post on GNOME core applications
on Planet GNOME, but I may have forgotten.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 5 May 2019 20:48:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 16:48:28 2019
Received: from localhost ([127.0.0.1]:55021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNO3f-000597-U4
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 16:48:28 -0400
Received: from pelzflorian.de ([5.45.111.108]:42478 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hNO3e-00058y-8T
 for 35586 <at> debbugs.gnu.org; Sun, 05 May 2019 16:48:27 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 2A4E2360038;
 Sun,  5 May 2019 22:48:14 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1557089294;
 bh=2tzDTZSBfNomBnr3+tHnzS+ewN1w0ipQea4uXFi4XFI=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=L4kUTNtupyHk0pPmuZaJpb6yFuZk80uVL2LFQNpH/VyQJiUek9+ydm69ldAHcLBsa
 NX/+iIq7VeWhREQeSSK+rxv2ZdoKpjOWi96H0g6hPRclcvhpmjj/7zNm3xEp6pCnA0
 kRYNqzKcQ070KMPRHe4W3TRUCQHG6/ILRnBExzpM=
Date: Sun, 5 May 2019 22:48:14 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#35586: GNOME
Message-ID: <20190505204813.vog2hub3z5mhlcd7@HIDDEN>
References: <20190505192330.6E5F430863@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20190505192330.6E5F430863@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, May 05, 2019 at 03:23:27PM -0400, Raghav Gururajan wrote:
> On 5 May 2019 14:52, "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> wrote:
> > Well, they have two names and others frequently refer to them by 
> > e.g. Epiphany and not GNOME Web, including Epiphany developers. 
> >
> >
> 
> Hmm, but the app shows up as Web in GNOME.
>

One example of GNOME Web being called Epiphany by GNOME developers is
the same blog:

https://blogs.gnome.org/mcatanzaro/2019/03/19/epiphany-technology-preview-upgrade-requires-manual-intervention/

You can also type both Epiphany and (your language’s translation of)
Web in the GNOME Activities search bar to find Epiphany.  The same
goes for Nautilus.  The terminal command is also still epiphany or
nautilus.

I do not know if it is possible to give a package two names; I believe
it is not.



> > Of course, there are more non-packaged applications. 
> >
> > I also remember 
> > https://blogs.gnome.org/mcatanzaro/2016/09/21/gnome-3-22-core-apps/ 
> > who says, for example, that gnome-tweaks is *not* core. 
> >
> 
> What?? How else to enable/disable plugins/extensions in GNOME?
>

Well…  GNOME has repeatedly tried to make simpler alternatives for
installing extensions.  I believe the current method is GNOME
Software, but I am not sure.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 5 May 2019 19:36:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 15:36:58 2019
Received: from localhost ([127.0.0.1]:54917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNMwT-00030v-SV
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 15:36:58 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNMwR-00030l-TK
 for 35586 <at> debbugs.gnu.org; Sun, 05 May 2019 15:36:56 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 9B62A30856;
 Sun,  5 May 2019 21:36:53 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id TRxoUG-p3Gnh; Sun,  5 May 2019 21:36:51 +0200 (CEST)
Date: Sun, 05 May 2019 15:36:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557085011; bh=wlfAJu8AA1ONRqaYiX/9oHNjr6+MlH9wMErf85rpCiI=;
 h=Date:Subject:From:To:Cc;
 b=BYe/ozHnGtAcdojgNwEU4Xs0BkBHrhbtvk2nyxQHRKjbyHRTPZ5lijsHzmIbecLyE
 PKXCGXsCT+KMAfu6pyyimd9Ma0HVJS418kNoOnMojs6sudWgpdq7v7PVUA4He6UuI3
 hP/OUwPMkF2NWPDu4DYAXHE2N6U6Y+s/F6oa/2ueIobviv5gtmhMMkYzwhOy2k6z5U
 U1HONUndPQ/DNp0LuU6K/U397TYhdeFXQmCUmgV5uyj4lre9vznpPnL+XfVPWPka9N
 uR+XIekJ84MQwvI6171aLySBjBGBOmTDUXXc9YhyYbRAxdbpN8/wdLgObA2amq7QF2
 xf7Lrc8ji/DAw==
Subject: Re: bug#35586: GNOME
From: Raghav Gururajan <rvgn@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
Message-Id: <20190505193653.9B62A30856@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)
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Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 5 May 2019 19:23:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 15:23:35 2019
Received: from localhost ([127.0.0.1]:54886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNMjX-0000Yg-81
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 15:23:35 -0400
Received: from knopi.disroot.org ([178.21.23.139]:47456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNMjU-0000YV-Te
 for 35586 <at> debbugs.gnu.org; Sun, 05 May 2019 15:23:34 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6E5F430863;
 Sun,  5 May 2019 21:23:30 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id jDQU05zAqYwn; Sun,  5 May 2019 21:23:28 +0200 (CEST)
Date: Sun, 05 May 2019 15:23:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557084208; bh=1YcZvqaHaxZ00QbMzpAMi1IRJjxsEWwhnoUHOFHJlWw=;
 h=Date:Subject:From:To:Cc;
 b=FhksBRR5g3ZI/FDPykCIwuWw4lmaNFn9a3YM/kHzdR9eb/mDw2l3Io/V/zlbFrVyE
 ZP1zYc+9vQXLh2Bp6flETuF96pciNAIENlglmkuzssV9W9H1XrAYHJCsIX+ZXVMXTH
 S1ENwrkPgDSd5F2mbBMdTFsVEPEcGELCjTu2DPDZCPt+I+0a+QZz0LAQtw1Wxd+jjs
 DBCYlX/xmO2AOIWxHcesrEuOp/hRUbfbDC/wygEu6a+8dZVAWLXYzcxFSS5j4Fqe3X
 bRWMxD3NKysODgxK8ddVgRYOLv0NJBuAWIYyudTh7lH9F+fz84zxKwDAQKNAW9AuO4
 8V3fSLQXlpo2Q==
Subject: Re: bug#35586: GNOME
From: Raghav Gururajan <rvgn@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
Message-Id: <20190505192330.6E5F430863@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)
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Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at 35586 <at> debbugs.gnu.org:


Received: (at 35586) by debbugs.gnu.org; 5 May 2019 18:52:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 14:52:45 2019
Received: from localhost ([127.0.0.1]:54844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNMFh-0008FW-8l
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 14:52:45 -0400
Received: from pelzflorian.de ([5.45.111.108]:42370 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hNMFe-0008FN-BO
 for 35586 <at> debbugs.gnu.org; Sun, 05 May 2019 14:52:43 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id AD15E360038;
 Sun,  5 May 2019 20:52:30 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1557082350;
 bh=Pl2zvj/CBsr2rpM9yTWZQZpS0hxir/1J6saEx24B80w=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=zm5YRDWVEcAGNMbGU1KaB815w5M1T84COuYYu3ZZZQ8xEGDoJWyI/MhbgwY3Fmmyf
 QBNgs/jyGQLgK1eW02IU/l8Z34CQa9R8COyxg+OW92R7yK0FXhB2krj+W1PtwImk8K
 0SQOwV9UszIPHOZBaRaEA9DyXJ43OMGKkBTO/bJ8=
Date: Sun, 5 May 2019 20:52:30 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#35586: GNOME
Message-ID: <20190505185230.bofz6ewln5gs7vde@HIDDEN>
References: <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35586
Cc: 35586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, May 05, 2019 at 02:20:39PM -0400, Raghav Gururajan wrote:
> Hello Guix!
> 
> Based on the mail-list thread "https://lists.gnu.org/archive/html/help-
> guix/2019-05/msg00124.html", it appears that there is a bug, where some
> GNOME Core Applications are actually packaged in guix but have not been
> included in guix's "gnome" package.
> 

Thank you for doing something about this!


> found out that the following gnome core application packages are indeed
> packaged in guix, but have not been included in guix's gnome package. 
> 
> gnome-calendar
> gnome-clocks
> gnome-common
> gnome-desktop

gnome-common and gnome-desktop are libraries, not core applications.

> gnome-dictionary
> gnome-doc-utils

gnome-doc-utils is not a core application.

> gnome-icon-theme
> gnome-klotski
> gnome-maps
> gnome-mime-data
> gnome-mines
> gnome-mpv

gnome-mpv is not core.

> gnome-planner
> gnome-screenshot
> gnome-shell-extensions
> gnome-sudoku
> gnome-todo
> gnome-tweak-tool
> gnome-vfs

I don’t quite know, is gnome-vfs the same as gvfs?

> gnome-video-effects
> 

This appears to be a codec pack or something (?), not an application.


> The following gnome core applications are also already packaged in guix
> but requires correct renaming before adding to guix's gnome package?
> 
> rhythmbox --> gnome-music
> shotwell --> gnome-photos
> 

Parabola GNU/Linux-libre packaging shows that these are not the same
app and should not be renamed.

[florian@pelzflorian ~]$ pacman -Ss shotwell
community/shotwell 2:0.30.4-1
    A digital photo organizer designed for the GNOME desktop environment
[florian@pelzflorian ~]$ pacman -Ss gnome-photos
extra/gnome-photos 3.32.0-1 (gnome)
    Access, organize, and share your photos on GNOME
[florian@pelzflorian ~]$ pacman -Ss rhythmbox
extra/rhythmbox 3.4.3-1
    Music playback and management application
community/ario 1.6-1
    A GTK client for MPD inspired by Rhythmbox but much lighter and faster
[florian@pelzflorian ~]$ pacman -Ss gnome-music
extra/gnome-music 1:3.32.1-1 (gnome)
    Music player and management application


> The following gnome core applications have already been included in
> guix's gnome package but requires correct renaming?
> 
> epiphany --> gnome-web
> envice --> gnome-documents
> eog --> gnome-images
> file-roller --> gnome-autoar
> gedit --> gnome-text
> nautilus --> gnome-files
>

Well, they have two names and others frequently refer to them by
e.g. Epiphany and not GNOME Web, including Epiphany developers.


Of course, there are more non-packaged applications.

I also remember
https://blogs.gnome.org/mcatanzaro/2016/09/21/gnome-3-22-core-apps/
who says, for example, that gnome-tweaks is *not* core.

> I really hope if the above modifications are made, it will fulfill the
> actual description of guix's gnome package (http://guix.gnu.org/package
> s/gnome-3.28.2/). ☺
> 

Yes, I agree, that should be the goal.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 May 2019 18:20:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 14:20:56 2019
Received: from localhost ([127.0.0.1]:54815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNLku-0007Q0-EB
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 14:20:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hNLks-0007Po-VR
 for submit <at> debbugs.gnu.org; Sun, 05 May 2019 14:20:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:47101)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rvgn@HIDDEN>) id 1hNLkn-0001q5-KO
 for submit <at> debbugs.gnu.org; Sun, 05 May 2019 14:20:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47156)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rvgn@HIDDEN>) id 1hNLkm-0000Z4-HI
 for bug-guix@HIDDEN; Sun, 05 May 2019 14:20:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rvgn@HIDDEN>) id 1hNLkk-0001iQ-NE
 for bug-guix@HIDDEN; Sun, 05 May 2019 14:20:48 -0400
Received: from knopi.disroot.org ([178.21.23.139]:56984)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rvgn@HIDDEN>) id 1hNLkk-0001cI-HM
 for bug-guix@HIDDEN; Sun, 05 May 2019 14:20:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 4C3303083E
 for <bug-guix@HIDDEN>; Sun,  5 May 2019 20:20:43 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 1MdtCi7sX5gN for <bug-guix@HIDDEN>;
 Sun,  5 May 2019 20:20:41 +0200 (CEST)
Message-ID: <c99df64bf65aed4210c059cc2ff5628129be9abc.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1557080441; bh=PlZYSaNNquD2l7wBsdym3gfbeePBlXy64yrRb+Wa+EA=;
 h=Subject:From:To:Date;
 b=Rc5j7KkCpBQ4ZV0JSqRIowmwSyHiVSLqePNrqe69CYL86sf+qTzu4xp0y7jixcy3z
 rA0d+/3ZkUqL4woR9LNMNk15Tk6zwcEcQ66E3To95IvZy0h4aIZKReHBG1f6aWUnkW
 k5nmLBevDK4iIBkYJzwvYl0eN/RwpW6skGI2j9N1XSjrTcSrIMXXq08JhHsI/HpMAI
 pmNV6YbkFuSqhN+8txOivIlpjAeF1auvlsgAVbz8sd6WDLzLddCoqCqEpYOQ/6QHu0
 x8Lh/CQo9HTOyIwp8YSwFLgFFPZ5UXu7PYFjYxDJ7t39AIbssiRTGLsM+EGE8zsV2+
 TqDzyWZTxwsAw==
Subject: GNOME
From: Raghav Gururajan <rvgn@HIDDEN>
To: bug-guix@HIDDEN
Date: Sun, 05 May 2019 14:20:39 -0400
Content-Type: text/plain; charset="UTF-8"
Mime-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 178.21.23.139
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello Guix!

Based on the mail-list thread "https://lists.gnu.org/archive/html/help-
guix/2019-05/msg00124.html", it appears that there is a bug, where some
GNOME Core Applications are actually packaged in guix but have not been
included in guix's "gnome" package.

So I did [guix search "gnome-*"] and cross-checked the results with
guix's gnome package source (https://git.savannah.gnu.org/cgit/guix.git
/tree/gnu/packages/gnome.scm?id=3Dv0.16.0-5851-g5f83b5153a#n6422); and
found out that the following gnome core application packages are indeed
packaged in guix, but have not been included in guix's gnome package.=20

gnome-calendar
gnome-clocks
gnome-common
gnome-desktop
gnome-dictionary
gnome-doc-utils
gnome-icon-theme
gnome-klotski
gnome-maps
gnome-mime-data
gnome-mines
gnome-mpv
gnome-planner
gnome-screenshot
gnome-shell-extensions
gnome-sudoku
gnome-todo
gnome-tweak-tool
gnome-vfs
gnome-video-effects

The following gnome core applications are also already packaged in guix
but requires correct renaming before adding to guix's gnome package?

rhythmbox --> gnome-music
shotwell --> gnome-photos

The following gnome core applications have already been included in
guix's gnome package but requires correct renaming?

epiphany --> gnome-web
envice --> gnome-documents
eog --> gnome-images
file-roller --> gnome-autoar
gedit --> gnome-text
nautilus --> gnome-files

I really hope if the above modifications are made, it will fulfill the
actual description of guix's gnome package (http://guix.gnu.org/package
s/gnome-3.28.2/). =E2=98=BA

Thank you!

Regards,
RG.




Acknowledgement sent to Raghav Gururajan <rvgn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#35586; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 2 Jul 2019 22:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.